Skip to main content
GET
/
api
/
v1
/
guest
/
user
GET /api/v1/guest/user
curl --request GET \
  --url https://api.scoot.app/api/v1/guest/user \
  --header 'X-API-Key: <api-key>'
import requests

url = "https://api.scoot.app/api/v1/guest/user"

headers = {"X-API-Key": "<api-key>"}

response = requests.get(url, headers=headers)

print(response.text)
const options = {method: 'GET', headers: {'X-API-Key': '<api-key>'}};

fetch('https://api.scoot.app/api/v1/guest/user', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));


{
  "user": {
    "userId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
    "name": "<string>",
    "firstName": "<string>",
    "middleName": "<string>",
    "lastName": "<string>",
    "emailAddress": "<string>",
    "emailVerified": true,
    "preload": true,
    "mobilePhone": "<string>",
    "mobilePhoneVerified": true,
    "mobilePhoneVerifiedWeb": true,
    "profileId": "<string>",
    "profileImageURI": "<string>",
    "profileImageId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
    "profileImageBackground": "<string>",
    "timeZone": "<string>",
    "registeredDateTime": "2023-11-07T05:31:56Z",
    "active": true,
    "actedAs": true
  },
  "bearer": "<string>",
  "refreshBearer": "<string>"
}
Retrieves information about the current guest user session.

Authorizations

X-API-Key
string
header
required

Response

200 - application/json

OK

user
object
bearer
string
refreshBearer
string